<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="ServiceRequests"
   SelectList="ServiceRequest.SVR_ID, 
       ServiceRequest.STATUS, 
       ServiceRequest.REQUEST_DATE, 
       ServiceRequest.PROBLEM_DESCRIPTION, 
       ServiceRequest.PROD_ID, 
       ServiceRequest.CREATED_BY, 
       ServiceRequest.ASSIGNED_TO, 
       ServiceRequest.ASSIGNED_DATE, 
       CreatedByUser.FIRST_NAME, 
       CreatedByUser.LAST_NAME, 
       CreatedByUser.USER_ID, 
       AssignedToUser.FIRST_NAME AS FIRST_NAME1, 
       AssignedToUser.LAST_NAME AS LAST_NAME1, 
       AssignedToUser.USER_ID AS USER_ID1, 
       Product.NAME, 
       Product.PROD_ID AS PROD_ID1"
   FromList="SERVICE_REQUESTS ServiceRequest, USERS CreatedByUser, USERS AssignedToUser, PRODUCTS Product"
   Where="((ServiceRequest.CREATED_BY = CreatedByUser.USER_ID) AND (ServiceRequest.ASSIGNED_TO = AssignedToUser.USER_ID(+))) AND (ServiceRequest.PROD_ID = Product.PROD_ID)"
   OrderBy="REQUEST_DATE DESC"
   BindingStyle="OracleName"
   CustomQuery="false"
   ComponentClass="oracle.srdemo.model.queries.ServiceRequestsImpl"
   MsgBundleClass="oracle.srdemo.model.queries.common.ServiceRequestsRowImplMsgBundle"
   FetchMode="FETCH_AS_NEEDED"
   UseGlueCode="false" >
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="3fd197fb-010a-1000-80dc-8d9088295bcf::::ViewObject" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
   <DesignTime>
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_objectSuperClassName" Value="oracle.srdemo.model.frameworkExt.SRViewObjectImpl" />
      <Attr Name="_codeGenFlag2" Value="Access|Coll|Msg|VarAccess" />
   </DesignTime>
   <EntityUsage
      Name="ServiceRequest"
      Entity="oracle.srdemo.model.entities.ServiceRequest" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80ed-8d9088295bcf::queries.ServiceRequests$ServiceRequests::EntityObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
      <DesignTime>
         <Attr Name="_queryClause" Value="true" />
         <Attr Name="_queryOrderBy" Value="REQUEST_DATE DESC" />
         <Attr Name="_queryWhere" Value="((ServiceRequest.CREATED_BY = CreatedByUser.USER_ID) AND (ServiceRequest.ASSIGNED_TO = AssignedToUser.USER_ID(+))) AND (ServiceRequest.PROD_ID = Product.PROD_ID)" />
      </DesignTime>
   </EntityUsage>
   <EntityUsage
      Name="CreatedByUser"
      Entity="oracle.srdemo.model.entities.User"
      Association="oracle.srdemo.model.entities.associations.ServiceRequestsCreatedByUser"
      AssociationEnd="oracle.srdemo.model.entities.associations.ServiceRequestsCreatedByUser.Users1"
      SourceUsage="oracle.srdemo.model.queries.ServiceRequests.ServiceRequest"
      ReadOnly="true"
      Reference="true" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80ee-8d9088295bcf::queries.ServiceRequests$CreatedByUser::EntityObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
      <DesignTime>
         <Attr Name="_queryClause" Value="false" />
         <AttrArray Name="_dstAttributes">
            <Item Value="oracle.srdemo.model.entities.User.UserId" />
         </AttrArray>
         <AttrArray Name="_srcAttributes">
            <Item Value="oracle.srdemo.model.entities.ServiceRequest.CreatedBy" />
         </AttrArray>
      </DesignTime>
   </EntityUsage>
   <EntityUsage
      Name="AssignedToUser"
      Entity="oracle.srdemo.model.entities.User"
      Association="oracle.srdemo.model.entities.associations.ServiceRequestsAssignedToUser"
      AssociationEnd="oracle.srdemo.model.entities.associations.ServiceRequestsAssignedToUser.Users"
      SourceUsage="oracle.srdemo.model.queries.ServiceRequests.ServiceRequest"
      ReadOnly="true"
      Reference="true" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80ef-8d9088295bcf::queries.ServiceRequests$AssignedToUser::EntityObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
      <DesignTime>
         <Attr Name="_queryClause" Value="false" />
         <AttrArray Name="_dstAttributes">
            <Item Value="oracle.srdemo.model.entities.User.UserId" />
         </AttrArray>
         <AttrArray Name="_srcAttributes">
            <Item Value="oracle.srdemo.model.entities.ServiceRequest.AssignedTo" />
         </AttrArray>
      </DesignTime>
   </EntityUsage>
   <EntityUsage
      Name="Product"
      Entity="oracle.srdemo.model.entities.Product"
      Association="oracle.srdemo.model.entities.associations.ServiceRequestsForProduct"
      AssociationEnd="oracle.srdemo.model.entities.associations.ServiceRequestsForProduct.Products"
      SourceUsage="oracle.srdemo.model.queries.ServiceRequests.ServiceRequest"
      ReadOnly="true"
      Reference="true" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80f0-8d9088295bcf::queries.ServiceRequests$Product::EntityObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
      <DesignTime>
         <Attr Name="_queryClause" Value="false" />
         <AttrArray Name="_dstAttributes">
            <Item Value="oracle.srdemo.model.entities.Product.ProdId" />
         </AttrArray>
         <AttrArray Name="_srcAttributes">
            <Item Value="oracle.srdemo.model.entities.ServiceRequest.ProdId" />
         </AttrArray>
      </DesignTime>
   </EntityUsage>
   <ViewAttribute
      Name="SvrId"
      IsUpdateable="while_insert"
      IsNotNull="true"
      EntityAttrName="SvrId"
      EntityUsage="ServiceRequest"
      AliasName="SVR_ID" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80dd-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="Status"
      IsNotNull="true"
      EntityAttrName="Status"
      EntityUsage="ServiceRequest"
      AliasName="STATUS" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80de-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="RequestDate"
      IsUpdateable="false"
      IsNotNull="true"
      EntityAttrName="RequestDate"
      EntityUsage="ServiceRequest"
      AliasName="REQUEST_DATE" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80df-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="ProblemDescription"
      IsNotNull="true"
      EntityAttrName="ProblemDescription"
      EntityUsage="ServiceRequest"
      AliasName="PROBLEM_DESCRIPTION" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80e0-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="ProdId"
      IsNotNull="true"
      EntityAttrName="ProdId"
      EntityUsage="ServiceRequest"
      AliasName="PROD_ID" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80e1-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="CreatedBy"
      IsNotNull="true"
      EntityAttrName="CreatedBy"
      EntityUsage="ServiceRequest"
      AliasName="CREATED_BY" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80e2-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="AssignedTo"
      EntityAttrName="AssignedTo"
      EntityUsage="ServiceRequest"
      AliasName="ASSIGNED_TO" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80e3-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="AssignedDate"
      EntityAttrName="AssignedDate"
      EntityUsage="ServiceRequest"
      AliasName="ASSIGNED_DATE" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80e4-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="CreatedByFirstName"
      IsUpdateable="false"
      IsNotNull="true"
      EntityAttrName="FirstName"
      EntityUsage="CreatedByUser"
      AliasName="FIRST_NAME" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80e5-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="CreatedByLastName"
      IsUpdateable="false"
      IsNotNull="true"
      EntityAttrName="LastName"
      EntityUsage="CreatedByUser"
      AliasName="LAST_NAME" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80e6-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="CreatedByUserId"
      IsUpdateable="false"
      IsNotNull="true"
      EntityAttrName="UserId"
      EntityUsage="CreatedByUser"
      AliasName="USER_ID" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80e7-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="AssignedToFirstName"
      IsUpdateable="false"
      IsNotNull="true"
      EntityAttrName="FirstName"
      EntityUsage="AssignedToUser"
      AliasName="FIRST_NAME1" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80e8-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="AssignedToLastName"
      IsUpdateable="false"
      IsNotNull="true"
      EntityAttrName="LastName"
      EntityUsage="AssignedToUser"
      AliasName="LAST_NAME1" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80e9-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="AssignedToUserId"
      IsUpdateable="false"
      IsNotNull="true"
      EntityAttrName="UserId"
      EntityUsage="AssignedToUser"
      AliasName="USER_ID1" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80ea-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="ProductName"
      IsUpdateable="false"
      IsNotNull="true"
      EntityAttrName="Name"
      EntityUsage="Product"
      AliasName="NAME" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80eb-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="ProductId"
      IsUpdateable="false"
      IsNotNull="true"
      EntityAttrName="ProdId"
      EntityUsage="Product"
      AliasName="PROD_ID1" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197fb-010a-1000-80ec-8d9088295bcf::queries.ServiceRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <AttrArray Name="KeyAttributes">
      <Item Value="SvrId" />
   </AttrArray>
   <ViewLinkAccessor
      Name="ServiceHistoriesForRequest"
      ViewLink="oracle.srdemo.model.queries.viewlinks.ServiceHistoriesForServiceRequest"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </ViewLinkAccessor>
</ViewObject>
